CourseLit logoCourseLit Docs
Api reference

Update product metadata

PATCH
/api/products/{productId}

Authorization

ApiKeyAuth
x-api-key<token>

API key created in CourseLit dashboard settings. The legacy apikey request-body field is still accepted but deprecated.

In: header

Path Parameters

productId*string

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

application/json

application/json

curl -X PATCH "https://school.courselit.app/api/products/string" \  -H "Content-Type: application/json" \  -d '{    "title": "AI Foundations",    "slug": "ai-foundations",    "description": "{\\"type\\":\\"doc\\",\\"content\\":[{\\"type\\":\\"paragraph\\",\\"content\\":[{\\"type\\":\\"text\\",\\"text\\":\\"Updated course description.\\"}]}]}",    "published": false,    "privacy": "unlisted",    "tags": [      "ai",      "beginner"    ]  }'
{
  "productId": "string",
  "type": "course",
  "title": "string",
  "slug": "string",
  "description": "string",
  "published": true,
  "privacy": "string",
  "tags": [
    "string"
  ],
  "featuredImage": {},
  "pageId": "string",
  "defaultPaymentPlan": "string",
  "paymentPlans": [
    {
      "planId": "string",
      "name": "string",
      "type": "free",
      "entityId": "string",
      "entityType": "string",
      "oneTimeAmount": 0,
      "emiAmount": 0,
      "emiTotalInstallments": 0,
      "subscriptionMonthlyAmount": 0,
      "subscriptionYearlyAmount": 0,
      "description": "string",
      "isDefault": true
    }
  ],
  "createdAt": "2019-08-24T14:15:22Z",
  "updatedAt": "2019-08-24T14:15:22Z"
}
{
  "error": {
    "code": "string",
    "message": "string"
  }
}
{
  "error": {
    "code": "string",
    "message": "string"
  }
}